3
$\begingroup$

I am running into an issue that I am unable to solve! I am using blender 2.82a, I have an NVIDIA GT630 installed in my system, and am using Ubuntu 20.04. I want to use my GPU to render my scene, but when I want to activate CUDA in the preference, Blender cannot find any usable device! I have checked as follow:

1 - Additional driver being used Ubuntu Addtional Drivers Used both driver but same issue when I try to activate CUDA in Blender preference.

2 - Installed and Re-installed NVIDIA driver Nvidia X settings Driver seem to be installed correctly.

3 - Getting the CUDA info from the command line nvcc --version nvcc: NVIDIA (R) Cuda compiler driver Copyright (c) 2005-2019 NVIDIA Corporation Built on Sun_Jul_28_19:07:16_PDT_2019 Cuda compilation tools, release 10.1, V10.1.243

4 - Uninstalled and re-installed blender 2.82, and 2.82a still cannot activate the device in Blender, even with portable version. Blender 2.82a

5 - Use Blender 2.79b portable version and it let me select the CUDA device. Blender 2.79b

I would be grateful for anyone to bring any suggestion as so far I have tried the following links:

How to make CUDA work in Ubuntu so as to enable GPU rendering in Blender?

https://ubuntuforums.org/showthread.php?t=2342538

But still cannot get Blender 2.8x to select the CUDA device.

Thank you kindly

Jean


Additional information:

the nvidia-smi returns the following:

Tue Jun 2 09:11:19 2020

| NVIDIA-SMI 340.108 Driver Version: 340.108

| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |

| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |

| 0 GeForce GT 630 Off | 0000:02:00.0 N/A | N/A |

| 52% 64C P0 N/A / N/A | 457MiB / 4095MiB | N/A Default |

| Compute processes: GPU Memory |

| GPU PID Process name Usage |

| 0 Not Supported |

Is the n630gt not supported on blender 2.8x?

$\endgroup$
1
0
$\begingroup$

Install CUDA toolkit from the Ubuntu repo:

sudo apt update
sudo apt install nvidia-cuda-toolkit
sudo reboot

After CUDA install, without reboot, Blender won't start at all, so, reboot is very important!

I had the very same problem. That worked for me.

$\endgroup$
1
  • $\begingroup$ this fails on Ubuntu 20.04 due to unmet dependencies: nvidia-profiler and nvidia-cuda-dev. Every attempt I've made to install a cuda tookit results in the installation of nvidia-driver-460 which doesn't work with my GeForce GTX 470. $\endgroup$
    – S. Imp
    Apr 12 at 17:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.